HitmanPro.ALERT Support and Discussion Thread

Discussion in 'other anti-malware software' started by erikloman, May 25, 2012.

  1. bjm_

    bjm_ Registered Member

    Joined:
    May 22, 2009
    Posts:
    3,371
    Location:
    .
    Yeah, I had to pull 181.exe from site to satisfy AppGuard Install Protection Level. HMP.A 180 internal updater hit a glitch getting around AppGuard Install Level that reverts to Medium upon restart....
    Does that make sense...
     
  2. XIII

    XIII Registered Member

    Joined:
    Jan 12, 2009
    Posts:
    902
    Does auto-update work?

    HMPA is on build 180, reports an update is available that will be installed after reboot, but after reboot the build number is still 180.
     
  3. Gapliin

    Gapliin Registered Member

    Joined:
    Feb 12, 2012
    Posts:
    81
    I don't even get an update-report. Where should I see this?
     
  4. heikwith

    heikwith Registered Member

    Joined:
    Jul 29, 2002
    Posts:
    85
    In build 181 I still need to Turn off Load Library mitigation to get Avant Browser started. OK?
     
  5. BoerenkoolMetWorst

    BoerenkoolMetWorst Registered Member

    Joined:
    Dec 22, 2009
    Posts:
    4,278
    Location:
    Outer space
    Yes, the updater is probably still doing some stuff after reboot when AppGuard kicks in. I found that when you install a program that needs a reboot, it's best to uncheck the Re-enable button in AppGuard to avoid problems.
     
  6. bjm_

    bjm_ Registered Member

    Joined:
    May 22, 2009
    Posts:
    3,371
    Location:
    .
    Thanks ~~ not to go off Topic....but, where is this Re-enable button in AppGuard 4.2.8.1. I've got suspension timeout at 1440...that does not seem to survive restart.
     
  7. heikwith

    heikwith Registered Member

    Joined:
    Jul 29, 2002
    Posts:
    85
    In build 181 I turned off Load Library mitigation to get MPC-HC running.
     
  8. Sampei Nihira

    Sampei Nihira Registered Member

    Joined:
    Apr 7, 2013
    Posts:
    1,595
    Location:
    Italy
  9. guest

    guest Guest

    I have WSA and MBAE, when I installed HPA chrome browser doesn't work, it's like there were no internet connection.
    So there must be some incompatibility.
    Win 8.1 x64
     
  10. MikeRepairs

    MikeRepairs Registered Member

    Joined:
    Mar 26, 2014
    Posts:
    76
    Location:
    Long Beach, WA
    I installed version 2.6.5.77 on hundreds of customer computers for cryptoguard protection.
    I am a reseller and will now sell them HMPA 3, but I have a few questions

    So is version 2.6.5.77 obsolete now?
    Will they get automatic update to version 3?
    Will they get a pop up offer to purchase version 3?
    Do you have to uninstall version 2.6.5.77 before installing version 3?

    Thanks
     
  11. BoerenkoolMetWorst

    BoerenkoolMetWorst Registered Member

    Joined:
    Dec 22, 2009
    Posts:
    4,278
    Location:
    Outer space
    I'll reply in the AppGuard thread.
     
  12. bjm_

    bjm_ Registered Member

    Joined:
    May 22, 2009
    Posts:
    3,371
    Location:
    .
    Aha, I found the check box ~ Thanks!
     
    Last edited: Apr 8, 2015
  13. erikloman

    erikloman Developer

    Joined:
    Jun 4, 2009
    Posts:
    3,152
    Location:
    Hengelo, The Netherlands
    Alert 2 is obsolete. For new installs you should install Alert 3.

    Alert 2 does not cover recent crypto-ransomware families.

    In a few weeks Alert 2 users will be automatically updated to Alert 3. No firm date yet. Keep an eye on this thread where we will announce the upgrade.

    You do not have to uninstall Alert 2. Alert 3 supports upgrade from version 2.

    Alert 3 will display a reminder that not all features are active. If the user decides to not apply a license, Alert will run in Free mode where only the free features are active.

    For more information, read this post:
    https://www.wilderssecurity.com/thre...iscussion-thread.324841/page-164#post-2460905
     
    Last edited: Apr 8, 2015
  14. erikloman

    erikloman Developer

    Joined:
    Jun 4, 2009
    Posts:
    3,152
    Location:
    Hengelo, The Netherlands
  15. bjm_

    bjm_ Registered Member

    Joined:
    May 22, 2009
    Posts:
    3,371
    Location:
    .
    Does the hmpalert uninstall tool labeled to remove v2 #1692 satisfy v3
     
    Last edited: Apr 8, 2015
  16. Krusty

    Krusty Registered Member

    Joined:
    Feb 3, 2012
    Posts:
    7,253
    Location:
    Among the gum trees
    Erik,

    The default fly-out and keystroke encryption coloured border must only be for new installations, correct? those settings remained as they have been prior to build 181 on my machines.

    Never mind, I read your "Note". :oops:
    The update after reboot went smoothly here. :thumb:
     
  17. Hiltihome

    Hiltihome Registered Member

    Joined:
    Jul 5, 2013
    Posts:
    869
    Location:
    Baden Germany
    Upgrade to build 181 went smooth on two machines, but on the third machine I lost my keyboard and could not login, after reboot.

    Uninstall and new install didn't fix this issue.

    I'will look in this tomorrow.
     
    Last edited: Apr 8, 2015
  18. Azure Phoenix

    Azure Phoenix Registered Member

    Joined:
    Nov 22, 2014
    Posts:
    1,036
    HMP:A added MPC-HC x64 automatically but I haven't had any problems.

    Though I'm running 8.1 64bits and had various HMP:A builds installed without any issues
     
    Last edited: Apr 8, 2015
  19. guest

    guest Guest

    Devs.. need any other detail? or is going to be ignore for not being very relevant?
     
  20. bjm_

    bjm_ Registered Member

    Joined:
    May 22, 2009
    Posts:
    3,371
    Location:
    .
    Fwiw ~ I have 181 on W8.1 x64 ~ Chrome41 opens okay. Anything in Event Viewer re opening Chrome
    R U running build 181
     
  21. guest

    guest Guest

    Thanks, I know but, this issue is related either with MBAE (again) or with WSA, because isn't the first time it has happened.
     
  22. Krusty

    Krusty Registered Member

    Joined:
    Feb 3, 2012
    Posts:
    7,253
    Location:
    Among the gum trees
    Do you really need both MBAE and HMP.A?
     
  23. Krusty

    Krusty Registered Member

    Joined:
    Feb 3, 2012
    Posts:
    7,253
    Location:
    Among the gum trees
    @erikloman ,

    I just had a Shellcode alert in Firefox. I will send you a PM with the details.
     
  24. daman1

    daman1 Registered Member

    Joined:
    Mar 27, 2009
    Posts:
    1,288
    Location:
    USA, MICHIGAN
    I got no auto update notice from 180 to 181 am I missing something?
     
  25. bjm_

    bjm_ Registered Member

    Joined:
    May 22, 2009
    Posts:
    3,371
    Location:
    .
    wish I took a screen shot for ya'
    180 UI under settings gear notifies Update is available ~ It will be installed on reboot
    181 is available download on surfright
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.